﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <!--

        Декремент — операция, во многих языках программирования используемая 
        для уменьшения значения переменной на единицу.

        Имеется префиксная и постфиксная форма декремента. 
        Префиксный декремент выполняется перед использованием переменной.
        Постфиксный декремент выполняется после использования переменной.

-->
<script>

        var a = 9;

        document.write("Постдекремент <br />");
        document.write(a + "<br />");   // выведет 9
        a--; 
        document.write(a + "<br />");   // выведет 8
        document.write(a-- + "<br />"); // выведет 8
        document.write(a + "<br />");   // выведет 7

        document.write("<hr/>");

        document.write("Предекремент <br />");
        document.write(a + "<br />");   // выведет 7
        --a;
        document.write(a + "<br />");   // выведет 6
        document.write(--a + "<br />"); // выведет 5
        document.write(a + "<br />");   // выведет 5

    </script>

</body>
</html>
